CMSIS-RTOS2: RTX v5 Specific API

| CMSIS-RTOS2 Version 2.1.3 Real-Time Operating System: API and RTX Reference Implementation

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Content
RTX v5 Specific API

RTX v5 implementation specific definitions and functions defined in rtx_os.h. More...

## Content

| Macros
| RTX5 macros.
| Functions
| RTX5 functions.
| Event functions
| RTX5 Event Recorder functions.

## Description

The RTX5 kernel can be customized for different application requirements:

- The function osRtxIdleThread implements the idle thread and allows set the system into sleep modes for Low-Power Operation or Tick-less Low-Power Operation for ultra-low power operation.
- The function osRtxErrorNotify may be extended to handle system runtime errors.

RTX5 interfaces to the Event Recorder and provides event information that helps to analyze the operation. Refer to Event functions for more information.